Subject: Re: [PATCH] travis-ci: ignore already tested trees in debug mode

From: SZEDER Gábor <[email-masked]>
Date: Fri, 20 Sep 2019 20:17:32 +0200

On Fri, Sep 20, 2019 at 11:03:48AM -0700, Junio C Hamano wrote:
> SZEDER Gábor <[email-masked]> writes:
> 
> >  skip_good_tree () {
> > +	if test "$TRAVIS_DEBUG_MODE" = true
> > +	then
> > +		return
> > +	fi
> 
> I think you convinced readers why it is a good idea to avoid
> skipping an already tested tree, and technically the title of this
> commit is not incorrect per-se.  You are teaching to ignore
> "already-tested-ness" from a part of the logic).

Hrm, that's subtle, but you are right.

> But in the larger picture, I would expect that readers would more
> immediately grasp what it is about if it were titled "do not skip
> versions that have already tested good in debug mode"

Will try to come up with a better subject line, but I don't have any
usable ideas at the moment.

> or something
> like that (IOW, we do not want to ignore such trees, we want to test
> them again).
>